package de.ivu.elect.jee.security;

public interface PasswordEncryptionService {

  boolean authenticate(String clearTextPassword, String encryptedPasswordAsBase64EncodedString, String saltAsBase64EncodedString);

  String getEncryptedPasswordAsBase64EncodedString(String password, String saltAsBase64EncodedString);

  String generateSaltAsBase64EncodedString();

  boolean isEncrypted(String passwort);

}